<div class="centered-content">
    <div class="modal-box">
        <h1 class="title">
            Create a new list
        </h1>

        <input #listTitleInput [ngClass]="listNameValid ? 'input danger' : 'input'" type="text" placeholder="Enter list name....">
        <span style="color: red; font-size: 12px;" *ngIf="listNameValid">*Name is required</span>
        <input #listDescriptionInput class="input" type="text" placeholder="Enter description name...." style="margin-top: 10px;">
        <br><br>
        <div class="buttons">
            <button class="button" routerLink="/">Cancel</button>
            <button class="button is-primary" (click)="createNewList(listTitleInput.value, listDescriptionInput.value)">Create</button>
        </div>
    </div>
</div>